org.apache.pdfbox.pdmodel.common

## Class PDImmutableRectangle

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDRectangle
  - - org.apache.pdfbox.pdmodel.common.PDImmutableRectangle

All Implemented Interfaces:
  COSObjectable

    public final class PDImmutableRectangle
    extends PDRectangle

Immutable class for constant sizes.

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.common.PDRectangle

`A0, A1, A2, A3, A4, A5, A6, LEGAL, LETTER, TABLOID`

### Constructor Summary

Constructors
Constructor and Description
`PDImmutableRectangle(float width, float height)` Constructor for immutable rectangle.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setLowerLeftX(float value)` This will set the lower left x coordinate.
`void` `setLowerLeftY(float value)` This will set the lower left y coordinate.
`void` `setUpperRightX(float value)` This will set the upper right x coordinate.
`void` `setUpperRightY(float value)` This will set the upper right y coordinate.

### Methods inherited from class org.apache.pdfbox.pdmodel.common.PDRectangle

`contains, createRetranslatedRectangle, getCOSArray, getCOSObject, getHeight, getLowerLeftX, getLowerLeftY, getUpperRightX, getUpperRightY, getWidth, toGeneralPath, toString, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDImmutableRectangle

    public PDImmutableRectangle(float width,
                                float height)

Constructor for immutable rectangle.

Parameters:
  `width` - The width of the rectangle.
  `height` - The height of the rectangle.

### Method Detail

#### setUpperRightY

    public void setUpperRightY(float value)

This will set the upper right y coordinate.

Overrides:
  `setUpperRightY` in class `PDRectangle`
Parameters:
  `value` - The upper right y.

#### setUpperRightX

    public void setUpperRightX(float value)

This will set the upper right x coordinate.

Overrides:
  `setUpperRightX` in class `PDRectangle`
Parameters:
  `value` - The upper right x .

#### setLowerLeftY

    public void setLowerLeftY(float value)

This will set the lower left y coordinate.

Overrides:
  `setLowerLeftY` in class `PDRectangle`
Parameters:
  `value` - The lower left y.

#### setLowerLeftX

    public void setLowerLeftX(float value)

This will set the lower left x coordinate.

Overrides:
  `setLowerLeftX` in class `PDRectangle`
Parameters:
  `value` - The lower left x.